package com.tourism.webadmin.back.util;

import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.Random;

public class TourBillNoUtils {

    private static final String PREFIX = "ORDER"; // 前缀，可以根据需要修改
    private static final String DATE_FORMAT = "yyyyMMddHHmmss"; // 日期时间格式
    // 定义一个枚举，枚举是订单号的前缀
    // 生成订单号
    public static String generateBillNo(){
        // 获取当前日期时间
        Date now = new Date();
        SimpleDateFormat sdf = new SimpleDateFormat(DATE_FORMAT);
        String dateTimeStr = sdf.format(now);

        // 生成四位随机数
        Random random = new Random();
        int randomNumber = random.nextInt(9000) + 1000; // 确保是四位数

        // 拼接前缀、日期时间和四位随机数
        return PREFIX + dateTimeStr + randomNumber;
    }
}
